import java.awt.*;
import javax.swing.*;

/**
 * This class represents a Panel that contains the next piece.
 */
public class NPPanel extends JPanel
{
	// Constants
	public final static int PREV_TILE_WIDTH = 15;
	public final static int PREV_TILE_HEIGHT = 15;
	public final static int X_OFFSET = 15;
	public final static int Y_OFFSET = 30;
	
	// Instance varaible
	private Piece nextPiece;
	
	/**
	 * Constructor. Creates an new instance of NPPanel.
	 * @param nextPiece The next piece
	 */
	public NPPanel(Piece nextPiece)
	{
		this.nextPiece = nextPiece;
		repaint();
	}
	/**
	 * Updates the next piece. Called by SLPanel
	 * @param nextPiece The next piece
	 */
	public void updatePiece(Piece nextPiece)
	{
		this.nextPiece = nextPiece;
		repaint();
	}
	
	/**
	 * Paints the next piece onto the panel
	 * @param g The Graphics object
	 */
	public void paintComponent(Graphics g)
	{
		nextPiece.drawSimple(g, new Dimension(15, 15), X_OFFSET, Y_OFFSET);
	}
}