import java.awt.*;

/**
 * This class represents a square in the game tetris. It extends
 * the abstract Piece class.
 */
public class SquarePiece extends Piece
{
	// static instance variables for model
	private static int[][] rotation1 = new int[][] {{0, 1, 1, 0},
                                            			{0, 1, 1, 0},
                                            			{0, 0, 0, 0}};
	private static int[][][] model = new int[][][]{rotation1};

	/**
	 * Constructor. Creates an new instance of LinePiece. Takes in an
	 * initial position and a color.
	 * @param xPosition The starting x position
	 * @param yPosition The starting y position
	 * @param color The piece's color
	 */
	public SquarePiece(int xPosition, int yPosition, Color color, PlayingField field)
	{
		super(xPosition, yPosition, color, model, field);
	}
}