import java.awt.*;

/**
 * This class represents an Z piece in the game tetris. It extends
 * the abstract Piece class.
 */
public class ZPiece1 extends Piece
{
	// Static instance variables for model
	private static int[][] rotation1 = new int[][] {{0, 1, 1},
                                            			{1, 1, 0},
                                            			{0, 0, 0}};
	private static int[][] rotation2 = new int[][] {{0, 1, 0},
                                            			{0, 1, 1},
                                            			{0, 0, 1}};
   private static int[][] rotation3 = new int[][] {{0, 0, 0},
                                            			{0, 1, 1},
                                            			{1, 1, 0}};
	private static int[][] rotation4 = new int[][] {{1, 0, 0},
                                            			{1, 1, 0},
                                            			{0, 1, 0}};
	private static int[][][] model = new int[][][]{rotation1, rotation2,
	                                         rotation3, rotation4};
	
	/**
	 * Constructor. Creates an new instance of ZPiece1. Takes in an
	 * initial position and a color.
	 * @param xPosition The starting x position
	 * @param yPosition The starting y position
	 * @param color The piece's color
	 */
	public ZPiece1(int xPosition, int yPosition, Color color, PlayingField field)
	{
		super(xPosition, yPosition, color, model, field);
	}
}